Skip to content

ProjectsController_submitVisit

PUT
/projects/{projectId}/visits/{visitId}/submit-visit
projectId
required
string

Project UUID

visitId
required
string

Visit UUID

object
visitData
required

List of sample data collected from site

object
visitStartedAt

Timestamp when the collector opened the page

string format: date-time
nullable
visitStatus
required
string
Allowed values: upcoming overdue skipped completed
visitedAt
string format: date-time
nullable
isCompleted
required
boolean
siteId

Site id

string
Example
eaa81d72-5733-40e2-8f91-e3af7f845967
projectId

Project id

string
Example
eaa81d72-5733-40e2-8f91-e3af7f845967
teamId

Team id

string
Example
eaa81d72-5733-40e2-8f91-e3af7f845967
visitedBy

Team member id

string
Example
eaa81d72-5733-40e2-8f91-e3af7f845967
photos

File path

Array<string>
Example
[
"https://<s3>/<bucket>/<filepath>"
]
comment

Comment

string
Example
Anything regarding visit
suspectDiseaseData

This data is updating result of test result for disease

Array<string>
Example
[
{
"diseaseId": "diseaseId",
"sampleCount": "10",
"isSuspectedPositive": "false"
}
]
diseaseQuestionnaireData

Disease questionnaire responses grouped by disease shortName

object
key
additional properties
any
Example
{
"AI": {
"farmType": "Layer",
"numberOfSheds": 4,
"shedCapacity": 2000,
"birdsInShed": 1800,
"farmCapacity": 8000,
"vaccinationStage": "Starter",
"breed": "Cobb 400",
"species": "Chicken",
"mortalityObservedInShed": true,
"dropInEggProduction": false
}
}
latitude

Latitude of location where visit was completed

number
Example
12.9716
longitude

Longitude of location where visit was completed

number
Example
77.5946
Example
{
"siteId": "eaa81d72-5733-40e2-8f91-e3af7f845967",
"visitedBy": "eaa81d72-5733-40e2-8f91-e3af7f845967",
"projectId" : "2742233c-4ddd-4f85-a961-4a30ceaa47e6",
"teamId": "ab76cec7-38ee-48b8-b6f3-cb7813a0a937",
"isCompleted": true,
"photos": [],
"comment": "test",
"suspectDiseaseData": [
"{diseaseId: 99d12e32-079a-47c8-967a-5d92c7529d47, sampleCount: 0, isSuspectedPositive: false}"
]
}
samples
required

List of sample data collected from site

Array<object>
object
quantity

Quantity

number
Example
2
replicates
required

Replicates

string
Allowed values: available not collected
Example
available
unit

Unit

string
Example
ml
photos

File path

Array<string>
Example
[
"https://<s3>/<bucket>/<filepath>"
]
barcode
required

Barcode

string
Example
G-2407-E-L-11-09
originalSampleBarcode

Barcode of original sample if exist

string
Example
G-2407-E-L-11-09
diseases
required

Disease id array

Array<object>
object
Example
[
"diseaseId1",
"diseaseId1"
]
testDate

When the sample is tested

string format: date-time
Example
test date
collectedBy
required

Who tested the sample

object
Example
user id
location

Location

string
Example
pune
sampleStatus

Enum [positive, negative, unclear]

string
Allowed values: pending picked-up received pre-processed virus-isolation extracted tested rejected test-report-generated
Example
positive
testedBy

Who has tested

string
Example
userid
comment

Comments

string
Example
Anything regarding sample
sampleType
required

Sample type UUID

object
Example
Sample type UUID
species

Species UUID

object
Example
Species UUID
details

Additional sample metadata (e.g. animal info for FMD/LSD, farm info for AI)

object
Example
[
{
"replicates": "not collected",
"photos": [
"https://<s3>/<bucket>/<filepath>"
],
"diseases": [
"diseaseId1",
"diseaseId1"
],
"originalSampleBarcode": "G-2407-E-L-11-09",
"barcode": "G-2407-E-L-11-09",
"comment": "Anything regarding sample",
"sampleType": "Sample type UUID"
}
]
object
success
required
boolean
message
required
string